#include "bench_defs.hpp"
#include "run.hpp"

#include <cstdlib>
#include <iostream>
#include <string>
#include <tug/Simulation.hpp>

using TugType = double;

int main(int argc, char **argv) {
  std::cout << "BARITE_200 started...\n";
  run_bench(barite_200_input, "barite_200_output.csv");

  std::cout << "BARITE_LARGE started...\n";
  run_bench(barite_large_input, "barite_large_output.csv");

  std::cout << "SURFEX started...\n";
  run_bench(surfex_input, "surfex_output.csv");

  return EXIT_SUCCESS;
}
