program tugbench
   use, intrinsic :: iso_fortran_env

   use bench
   use run

   type(bench_input_t) :: barite_200_input
   type(bench_input_t) :: barite_large_input
   type(bench_input_t) :: surfex_input

   call barite_200(barite_200_input)
   call barite_large(barite_large_input)
   call surfex(surfex_input)

   print "(A)", "BARITE_200 started..."
   call run_bench(barite_200_input, "barite_200_output.csv")

   print "(A)", "BARITE_LARGE started..."
   call run_bench(barite_large_input, "barite_large_output.csv")

   print "(A)", "SURFEX started..."
   call run_bench(surfex_input, "surfex_output.csv")
end program
